
# Brainrender
<p align="center">
  <img width="1200" src="imgs/three_atlases.png">
</p>

[![Python Version](https://img.shields.io/pypi/pyversions/brainrender.svg)](https://pypi.org/project/brainrender)
[![PyPI](https://img.shields.io/pypi/v/brainrender.svg)](https://pypi.org/project/brainrender)
[![tests](https://github.com/brainglobe/brainrender/workflows/tests/badge.svg)](https://github.com/brainglobe/brainrender/actions)
[![codecov](https://codecov.io/gh/brainglobe/brainrender/graph/badge.svg)](https://codecov.io/gh/brainglobe/brainrender)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/python/black)


**`brainrender` is a python package for the visualization of three dimensional neuro-anatomical data. It can be used to render data from publicly available data set (e.g. Allen Brain atlas) as well as user generated experimental data. The goal of brainrender is to facilitate the exploration and dissemination of neuro-anatomical data by providing a user-friendly platform to create high-quality 3D renderings.**

## Docs
:books: [brainrender docs](https://brainglobe.info/documentation/brainrender/index.html)

📖 [brainrender paper](https://doi.org/10.7554/eLife.65751)

## Installation
You can [install `brainrender`](https://brainglobe.info/documentation/brainrender/installation.html) with:

```
pip install brainrender
```

## Contributing
Contributions to brainrender are more than welcome. Please see the [developers guide](https://brainglobe.info/community/developers/index.html). Note that some tests are only run locally, by specifying `--runslow --runlocal` in `pytest`.

## Citing brainrender
If you use `brainrender` in your work, please cite:
```
Claudi, F., Tyson, A. L., Petrucco, L., Margrie, T.W., Portugues, R.,  Branco, T. (2021) "Visualizing anatomically registered data with Brainrender&quot; <i>eLife</i> 2021;10:e65751 [doi.org/10.7554/eLife.65751](https://doi.org/10.7554/eLife.65751)
```

## Examples
The following images were created for the publication of the [brainrender paper](https://doi.org/10.7554/eLife.65751). References to the original data being visualised can also be found in the paper.

<p align="center">
<img src='imgs/cellfinder_cells_3.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/gene_expression.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/human_regions.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/injection_2.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/mouse_neurons_2.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/probes.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/zfish_functional_clusters_2.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/zfish_neurons.png' width=500 style='margin:auto'></img>
</p>
<p align="center">
<img src='imgs/zfish_regions.png' width=500 style='margin:auto'></img>
</p>
